#!/usr/bin/ruby

$: << File.expand_path(File.dirname(__FILE__) + '/../lib')

require 'rugpost'
require 'rspec'
require 'mail'

RUG =  File.expand_path(File.dirname(__FILE__)+'/../')

$: << RUG

include RuGPost
include RuGPost::Utilis

SAMPLE = RUG+'/spec/sample'
DRAFT_NAME = 'helloworld'
DRAFT_MARKUP = 'textile'
DRAFT = SAMPLE+'/RuGPost/drafts/'+DRAFT_NAME+"."+DRAFT_MARKUP

FileUtils.remove_dir( SAMPLE, true ) if File.exists?( SAMPLE )

require RUG+'/spec/project_spec.rb'
require RUG+'/spec/post_spec.rb'
